#%%undefine __libtoolize
%global xorg_version 1.1.0
%global vnc_version 4_1_2
%global java_vnc_version 4_1

%global momorel 10

Summary:   A remote display system.
Name:      vnc
Version:   4.1.2
Release: %{momorel}m%{?dist}
URL:       http://www.realvnc.com/
Source0:   http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source1:   http://www.realvnc.com/dist/vnc-%{java_vnc_version}-javasrc.tar.gz
# This is from 'rpmbuild -bp xorg-x11.spec':
Source2: http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{xorg_version}.tar.bz2 
NoSource: 2
Source3:   vncserver.init
Source5:   vnc-16x16.png
Source6:   vnc-24x24.png
Source7:   vnc-48x48.png
Patch0:    vnc-cookie.patch
Patch1:    vnc-gcc4.patch
Patch2:    vnc-use-fb.patch
Patch3:    vnc-xclients.patch
Patch4:    vnc-idle.patch
Patch5:    vnc-via.patch
Patch6:    vnc-build.patch
Patch7:    vnc-fPIC.patch
Patch8:    vnc-restart.patch
Patch9:    vnc-vncpasswd.patch
Patch10:   vnc-def.patch
Patch11:   vnc-modular-xorg.patch
Patch12:   vnc-nohttpd.patch
Patch13:   vnc-fontpath.patch
Patch14:   vnc-s390.patch
Patch15:   vnc-viewer-reparent.patch
Patch16:   vnc-64bit.patch
Patch17:   vnc-select.patch
Patch18:   vnc-null-interface.patch
Patch19:   vnc-ppc64.patch
Patch20:   vnc-opengl.patch
Patch21:   vnc-newfbsize.patch
Patch100:  vnc-4.0-momonga.patch
Patch101: vnc-4_1_2-unixsrc-gcc43.patch
License:   GPL
Group:     User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl tcp_wrappers
BuildRequires: autoconf, automake, libtool, flex, bison, pkgconfig, patchutils
BuildRequires: expat-devel, freetype-devel
BuildRequires: libX11-devel, xorg-x11-xtrans-devel, libdrm-devel, libXau-devel
BuildRequires: libXdmcp-devel, libxkbfile-devel, libXfont-devel
BuildRequires: xorg-x11-proto-devel >= 7.3-3m, libXext-devel
BuildRequires: libXtst-devel, libfontenc-devel, xorg-x11-util-macros
BuildRequires: libXt-devel
BuildRequires: zlib-devel libjpeg-devel
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: gcc-java
BuildRequires: libICE-devel, libSM-devel, libX11-devel 
BuildRequires: libXext-devel, libXtst-devel
Prereq:    chkconfig
Requires:  coreutils util-linux
Obsoletes: vnc-doc

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary: A VNC server.
Requires: bash >= 2.0
Group: User Interface/X
PreReq: chkconfig

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%prep
%setup -q -n vnc-%{vnc_version}-unixsrc -a1
pushd unix
bzip2 -dc %{SOURCE2} | tar -xkf - || :
popd

%patch0 -p1 -b .cookie
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .use-fb
%patch3 -p1 -b .xclients
%patch4 -p1 -b .idle
%patch5 -p1 -b .via
%patch6 -p1 -b .build
%patch7 -p1 -b .fPIC
%patch8 -p1 -b .restart
%patch9 -p1 -b .vncpasswd
%patch10 -p1 -b .def
%patch11 -p1 -b .modular-xorg
%patch12 -p1 -b .nohttpd
pushd unix/xorg-server-*
%patch13 -p3 -b .fontpath
%patch14 -p3 -b .s390
popd
%patch15 -p1 -b .viewer-reparent
%patch16 -p1 -b .64bit
%patch17 -p1 -b .select
#patch18 -p1 -b .null-interface
%patch19 -p1 -b .ppc64
%patch20 -p1 -b .opengl
%patch21 -p1 -b .newfbsize

cp -a unix/xc/programs/Xserver/vnc/Xvnc/xvnc.cc \
	unix/xc/programs/Xserver/Xvnc.man \
	unix/xc/programs/Xserver/vnc/*.{h,cc} \
	unix/xorg-server-*/hw/vnc/
cp -a unix/xorg-server-*/{cfb/cfb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fbrop.h,hw/vnc}
sed -i -e 's,xor,c_xor,' -e 's,and,c_and,' \
	unix/xorg-server-*/hw/vnc/{cfb,fb,fbrop}.h

%patch101 -p1 -b .gcc43~

%build
cd unix
autoconf # For use-fb patch
pushd ../common
autoconf
popd

# workaround for glibc-2.7.90; _GNU_SOURCE is required for struct ucred
export CFLAGS="-D_GNU_SOURCE"

%configure --with-installed-zlib --with-fb
%make
cd ../vnc-%{java_vnc_version}-javasrc/java
make JAVAC="gcj -C" JAR=fastjar

cd ../../unix/xorg-server-*
libtoolize --force
aclocal-1.9 --force ; automake-1.9 ; autoconf
%configure --enable-xorg \
        --disable-dependency-tracking \
        --disable-xprint \
        --disable-static \
        --enable-composite \
        --with-os-name="Momonga Linux 4" \
        --with-os-vendor="Momonga Project" \
        --with-xkb-output=%{_localstatedir}/lib/xkb \
        --with-rgb-path=%{_datadir}/X11/rgb \
        --disable-xorgcfg \
	--disable-dmx \
        --disable-lbx \
	--enable-xdmcp \
	--disable-xevie \
	--disable-dri \
	--with-int10=stub

#cp -f %{_bindir}/libtool .
%make

%install
rm -rf --preserve-root %{buildroot}
cd unix
bin=%{buildroot}%{_bindir}
man=%{buildroot}%{_mandir}
ext=%{buildroot}%{_libdir}/xorg/modules/extensions
mkdir -p $bin $man $man/man1 $ext
./vncinstall $bin $man $ext
chmod u+w $bin/* $ext/* || :

mkdir -p %{buildroot}%{_datadir}/vnc/classes
cp -a ../vnc-%{java_vnc_version}-javasrc/java/{index.vnc,logo150x150.gif,vncviewer.jar} %{buildroot}%{_datadir}/vnc/classes

mkdir -p %{buildroot}/etc/init.d
install -m755 %{SOURCE3} %{buildroot}/etc/init.d/vncserver

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/vncservers << EOF
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the lines below to start a VNC server on display :2
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/archive/vnc/sshvnc.html>.

# Use "-nolisten tcp" to prevent X connections to your VNC server via TCP.

# Use "-nohttpd" to prevent web-based VNC clients connecting.

# VNCSERVERS="1:myusername"
# VNCSERVERARGS[1]="-geometry 800x600"
EOF
chmod 644 %{buildroot}%{_sysconfdir}/sysconfig/vncservers

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,24x24,48x48}/apps
install %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vnc.png
install %{SOURCE6} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/vnc.png
install %{SOURCE7} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/vnc.png
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Applications
cat > vncviewer.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=VNC Viewer
Comment=VNC client application
Exec=/usr/bin/vncviewer
Icon=vnc.png
Terminal=false
Type=Application
StartupWMClass=VNC Viewer: Connection Details
EOF
# Desktop file installation.
mkdir %{buildroot}%{_datadir}/applications
desktop-file-install --vendor vnc --delete-original    \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category Utility                               \
  vncviewer.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post server
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" = 0 ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%files
%defattr(-,root,root)
%doc LICENCE.txt README 
%{_bindir}/vncviewer
%{_datadir}/applications/*
%{_mandir}/man1/vncviewer.1*
%{_datadir}/icons/hicolor/*/*/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config %{_initscriptdir}/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%{_bindir}/Xvnc
%{_bindir}/vncpasswd
%{_bindir}/vncconfig
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*
%{_libdir}/xorg/modules/extensions/libvnc.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.2-10m)
- rebuild against gcc43

* Sun Mar 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.1.2-9m)
- add workaround for struct ucred with current glibc-2.7.90

* Thu Feb 14 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.2-8m)
- add gcc43 patch

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1.2-7m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.1.2-6m)
- updated buildrequires; xorg-x11-proto-devel >= 7.3-3m

* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.2-5m)
- change to "Momonga Linux 4"

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.2-4m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sun Oct 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.1.2-3m)
- add autoconf in common directory

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.1.2-2m)
- remove category X-Red-Hat-Extra Application

* Fri Aug  4 2006 Yohsuke Ooi <meke@momohga-linux.org>
- (4.1.2-1m)
- update 4.1.2
- sync fc-devel

* Sun May 28 2006 Nishio Futoshi <futoshi@momohga-linux.org>
- (4.1.1-2m)
- revise for gcc version 4.1.1
-- add libtoolize --force to xorg-server build
-- comment out cp libtool script
-- but X version is xorg-server-1.0.1 :-p

* Thu Apr 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.1-1m)
- update to 4.1.1
-
- * Fri Apr 21 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-37
- - removed liblbxutil-devel from BuildRequires
- 
- * Tue Feb 28 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-36
- - with default cofiguration, /etc/init.d/vncserver start will say 
-   "no displays configured" (bug #182161)
-   
- * Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-35.1
- - bump again for double-long bug on ppc(64)
- 
- * Wed Feb 08 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-35
- - Add a test for existence of index.theme before calling
-   gtk-update-icon-cache in post-(un)installation script,
-   bug #179704
- 
- * Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-34.1
- - rebuilt for new gcc4.1 snapshot and glibc changes
- 
- * Tue Jan 31 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-34
- - Updated xorg-x11-server to 1.0.1-1.
- 
- * Tue Jan  3 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-33
- - Use VNC-provided Xregion (bug #176435).
- - Prevent restorecon error message when not present (bug #176654).
-
- * Fri Dec 23 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-32
- - Use system libtool to fix libvnc.so build (bug #176435).
- 
- * Wed Dec 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-31
- - Rebase on xorg-x11-server-1.0.0-2.
- 
- * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - rebuilt
- 
- * Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-30
- - Enable Xdmcp (bug #175298).
- 
- * Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-29
- - Fix x0vncserver (bug #172410).
- 
- * Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-28
- - Enable all the extensions, which were accidentally disabled.
- 
- * Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-27
- - Fix 64-bit server (bug #174702).
- - Build requires freetype-devel.
- - Build requires libXext-devel, libXtst-devel, automake, libtool, pkgconfig,
-   libfontenc-devel, xorg-x11-util-macros.
- 
- * Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-26
- - Apply patch to allow vncviewer window reparenting (bug #174640).
- - Build again on s390/s390x (bug #174569).
- 
- * Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-25
- - Actually initialise the vnc extension in Xvnc.
- - Disable lbx.
- 
- * Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-24
- - Build X extension module again.
- - Install X extension module into modules/ directory.
- - Remove xscreensaver patch, since it causes badness.
- 
- * Fri Nov 25 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-23
- - ExcludeArch s390 s390x (see bug #174569).
- - Re-base on modular xorg-x11 (bug #173323).
- - Build requires modular X things.
- 
- * Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-22
- - Extension module is not available on all architectures.
- 
- * Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-21
- - Install extension module into the correct directory.
- - 
- * Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-20
- - Fix font path correctly (bug #173160).
- 
- * Wed Nov 16 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-19
- - Remove xorg-x11-devel build requirement to see what breaks.
- - Hack font paths (bug #173160).
- 
- * Tue Nov 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-18
- - Build requires xorg-x11-devel not XFree86-devel.
- 
- * Tue Sep  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-17
- - Make vncviewer prevent xscreensaver from blanking screen (bug #106552).
- 
- * Thu Aug 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-16
- - Added -nohttpd option to vncserver, based on patch from bug #161288.
- - Included -nohttpd, -nolisten tcp, and -localhost options in example
-   sysconfig file (bug #165334).
- 
- * Mon Aug  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-15
- - Fixed xorg-x11 build (__SSP__ gets set by -fstack-protector).
- - Fixed desktop file again (bug #63689).
- 
- * Wed Jul 14 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-14
- - Pulled RENDER support altogether.  It can cause Xvnc to get into a busy
-   loop somehow.
- 
- * Wed Jul 13 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-13
- - RENDER clipping fix from Mark McLoughlin.
- 
- * Mon Jun 27 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-12
- - Fixed vncpasswd crash (bug #160471).
- 
- * Wed Jun 22 2005 Tim Waugh <twaugh@redhat.com>
- - Updated URL in vncservers file (bug #161334).
- 
- * Tue Jun 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-11
- - Don't ship vncconfig.py any more.
- - Enable render by default for further testing.
-   #'
- 
- * Mon Jun 20 2005 Tim Waugh <twaugh@redhat.com>
- - Build requires expat-devel (bug #160982).
- 
- * Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.1.1-10
- - silence %%post
- 
- * Fri Apr 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-9
- Disable render by default.  There are still screen artifacts from it.
- 
- * Fri Apr  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-8
- - Further render patch fix for Peter
- 
- * Thu Mar 31 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-7
- - Render patch fix from Peter  Enabled render by default again.
- 
- * Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-6
- - rebuilt
- 
- * Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-5
- - Update the GTK+ theme icon cache on (un)install
- 
- * Thu Mar 24 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-4
- - Upgraded base package to xorg-x11-6.8.2-13.
- 
- * Thu Mar 17 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-3
- - Disable render by default (+render turns it back on).
-
- * Fri Mar 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-2
- - 4.1.1 (with 4.1 Java viewer).
- - No longer need module patch.
- 
- * Thu Mar 10 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.2
- - Improved render patch from Peter
- 
- * Thu Mar  3 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.1
- - 4.1 (but still 4.0 Java viewer for the moment).
- - Removed sparc patch.
- - Fixed VNC module link line (from upstream).
---

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1-3m)
- enable gcc-4.1
-- gcj-jar file is used properly by gcc.
-- gcc-3.x : gcj-jar
-- other   : fastjar

* Thu Mar 17 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (4.1-2m)
- not use initlog

* Sat Mar 12 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.1-1m)
  update to 4.1

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.0-2m)
- enable x86_64.

* Tue Feb 15 2005 Toru Hoshina <t@momonga-linux.org>
- (4.0-1m)
- version up.

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.3r2-12m)
- import icons from VineSeedPlus
- update desktop file
- change URL

* Sun Jan  8 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.3r2-11m)
- applied tightvnc-1.2.9-malloc.patch and tightvnc-1.2.9-fdsbits.patch.

* Sat May 22 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.3r2-10m)
- remove NoSource

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.3.3r2-9m)
- revised spec for rpm 4.2.

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.3r2-8m)
- rebuild against zlib 1.1.4-5m

* Wed Aug 21 2002 Masahiro Takahata <takahata@momonga-linux.org>
- update to tight vnc 1.2.2
- include some patch from rawhide

* Tue May  7 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.3.3r2-6k)
- add build-related options in 'make install' :(

* Tue Mar 12 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.3.3r2-4k)
- Use the system-provided zlib instead of the bundled one in Xvnc.

* Sun Sep 22 2001 Toru Hoshina <t@kondara.org>
- (3.3.3r2-2k)
- merge from http://telia.dl.sourceforge.net/vnc-tight

* Fri Aug 17 2001 Const Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.0 updates.

* Tue Jul 24 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-18
- Build requires zlib-devel, libjpeg-devel (bug #49731).

* Fri Jul 13 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-17
- Rebuild to fix file ownership problems.

* Tue Jun  5 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-16
- Really fix bug #28318.
- Use tcp_wrappers (bug #41052).
- Fix build error when using XFree86 4.1.0's imakefile config.

* Fri May  4 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-15
- Add tight encoding patch (includes corre and typo patches).
- Const's Java viewer with tight encoding.
- Update man pages.
- Use the font server (bug #35913).

* Mon Feb 19 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-14
- Make initscript change to user's home directory before starting
  vncserver (bug #28318).
- Make initscript stop properly.

* Thu Feb  8 2001 Tim Waugh <twaugh@redhat.com>
- Change initscript usage string.
- Resync descriptions and summaries to match those from specspo.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Redo initscript internationalisation.
- Initscript uses bash not sh.

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Xvnc man page: put a pointer to tunnelling through ssh.

* Thu Jan 18 2001 Tim Waugh <twaugh@redhat.com>
- Warn about VNC being insecure in /etc/sysconfig/vncservers.
- CoRRE fix from Const Kaplinsky (bug #24285).

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Initscript internationalisation.

* Tue Dec 12 2000 Tim Waugh <twaugh@redhat.com>
- Service is off by default (bug #22076).
- Don't start VNC server in initscript if user has not set passwd yet
  (bug #22076).

* Thu Dec 07 2000 Tim Waugh <twaugh@redhat.com>
- Mark vncviewer.desktop noreplace.
- Mark vncservers and /etc/rc.d/init.d/vncserver config.
- Add reload to vncserver initscript.
- chkconfig in post.

* Fri Dec 01 2000 Tim Waugh <twaugh@redhat.com>
- Rebuilt because of fileutils bug.

* Mon Nov 06 2000 Tim Waugh <twaugh@redhat.com>
- Include vncpasswd man page in manifest.

* Mon Nov 06 2000 Tim Waugh <twaugh@redhat.com>
- Add vncviewer.desktop.
- Correct typo in vncconnect.c.
- Add man pages.

* Mon Oct 30 2000 Tim Waugh <twaugh@redhat.com>
- set XAUTHORITY before running xstartup.  Fixes vncserver in ssh
  sessions.
- revamp initscript so that it allows for non-root users.

* Thu Oct 26 2000 Tim Waugh <twaugh@redhat.com>
- update to 3.3.3r2.  Patch from bug #19146 no longer needed.
- include new vncconnect program in file list

* Thu Oct 26 2000 Tim Waugh <twaugh@redhat.com>
- fix initscript (bug #19698)

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- fixed VNC crashes, patch from Shinji Hattori (Bug #10528)

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix authentication, Bug #19146, Patch from Tim Waugh <twaugh@redhat.com>

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove ,v file from vnc-doc, Bug #12443

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- move post/postun scripts from main package to server subpackage

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- preun and postun sections

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- initial package, from Sean P. Kane package and Mandrake package
- rewrote init script, added condrestart mode
